> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate cashback offer

> Activate a retailer's cashback offer and receive a redirect URL.



## OpenAPI

````yaml https://api.onsleek.ai/openapi.json post /v1/deals/cashback-offers/{id}/activate
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sleek API
  description: API documentation for Sleek's API.
servers:
  - url: https://api.onsleek.ai
security:
  - api-key: []
paths:
  /v1/deals/cashback-offers/{id}/activate:
    post:
      tags:
        - Cashback Offers
      summary: Activate cashback offer
      description: Activate a retailer's cashback offer and receive a redirect URL.
      parameters:
        - schema:
            type: string
            description: The ID of the cashback offer to activate.
            example: e8400e53-078f-4641-97e2-5c397401c0f0
          required: true
          description: The ID of the cashback offer to activate.
          name: id
          in: path
        - schema:
            type: string
            description: >-
              A unique identifier for this activation. This will be passed back
              to you when a transaction occurs. Format: `any string`
            example: your_uid_here
          required: true
          description: >-
            A unique identifier for this activation. This will be passed back to
            you when a transaction occurs. Format: `any string`
          name: passbackUid
          in: query
        - schema:
            type: string
            description: >-
              Any data you want to pass back to you when a transaction occurs.
              Format: `any string`.
            example: your_data_here
          required: false
          description: >-
            Any data you want to pass back to you when a transaction occurs.
            Format: `any string`.
          name: passbackData
          in: query
        - schema:
            type: string
            description: Your organization's UID for activating retailer's cashback offers
            example: your_org_uid_here
          required: true
          description: Your organization's UID for activating retailer's cashback offers
          name: orgId
          in: query
      responses:
        '200':
          description: >-
            Returns a signed URL that the user should be redirected to in order
            to activate the retailer's cashback offer. This URL may include
            tracking parameters and must be visited for the offer to be properly
            attributed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    description: >-
                      The URL to redirect the user to activate the cashback
                      offer.
                    example: https://retailer.com/activate?offerId=12345&SID=ABC123
                required:
                  - url
      security: []
components:
  securitySchemes:
    api-key:
      type: http
      scheme: bearer
      description: API key for accessing the Sleek API.

````